Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.LogicalAndExprAltContext

- org.apache.groovy.parser.antlr4.GroovyParser.LogicalAndExprAltContext

-     public static class GroovyParser.LogicalAndExprAltContext
      extends ExpressionContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `ExpressionContext` | `left` |
    `Token` | `op` |
    `ExpressionContext` | `right` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `LogicalAndExprAltContext(ExpressionContext ctx)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `AND()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public List<? extends ExpressionContext>` | `expression()`
    `` | `public ExpressionContext` | `expression(int i)`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public NlsContext` | `nls(int i)`

- - ### Field Detail

    - #### public ExpressionContext left

    - #### public Token op

    - #### public ExpressionContext right

  - ### Constructor Detail

    - #### public LogicalAndExprAltContext(ExpressionContext ctx)

  - ### Method Detail

    - #### public TerminalNode AND()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends ExpressionContext> expression()

    - #### public ExpressionContext expression(int i)

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)